Username: Password: Remember me
Search + Advanced
Package Details

aur2ccr 2.0.3-1
http://github.com/ccr-tools/aur2ccr/
A helper script for porting packages from Arch to Chakra.

Category: utils

Submitter: Inkane
Maintainer: george
Votes: 7

License: BSD3

Last Updated: 2016/05/27 - 18:15:03 +0000
First Submitted: 2013/03/25 - 11:35:40 +0000

Tarball :: PKGBUILD

Dependencieschaser python3 python3-aur python3-ccr python3-requests 

Sources

Comment by: blambin on Thu, 01 Sep 2016 23:31:14 +0000


the official depend not working for me ,so manually install using pip3:

sudo pip3 install aur toposort 

it works.

Comment by: ericjs on Mon, 18 Apr 2016 18:01:56 +0000


To make this build work, I had to REinstall a number of python3 packages from the official (non-CCR) repos, including python3-aur, python3-crr, python3-toposort, python3-inflection

Comment by: ericjs on Sat, 09 Apr 2016 23:21:17 +0000


It fails for me with:

==> Starting package()...
Traceback (most recent call last):
  File "setup.py", line 4, in <module>
    from aur2ccr import __version__
  File "/tmp/ccrbuild-1000/aur2ccr/aur2ccr/src/aur2ccr-2.0.1/aur2ccr/__init__.py", line 5, in <module>
    from aur2ccr import aur2ccr
  File "/tmp/ccrbuild-1000/aur2ccr/aur2ccr/src/aur2ccr-2.0.1/aur2ccr/aur2ccr.py", line 9, in <module>
    from toposort import toposort_flatten
ImportError: No module named 'toposort'
==> ERROR: A failure occurred in package().
    Aborting...

Comment by: george on Thu, 18 Feb 2016 01:29:37 +0000


Hey, I'm stealing this to push 2.0.

Comment by: tetris4 on Sat, 28 Feb 2015 16:17:15 +0000


Just to let you know that abs has been dropped from the main repos to CCR, if someone wants to maintain it:
http://chakraos.org/bugtracker/index.ph … ask_id=228

Comment by: Ram-Z on Mon, 06 Oct 2014 17:38:07 +0000


I pushed version 0.7.6 to origin/development, changelog:
061af13 follow XDG specs
7980e6b remove old script
40e94fe don't create another subdir
fd5099c do not create backup of PKGBUILD when reseting pkgrel

Feel free to merge into master and release after reviewing.

Comment by: Ram-Z on Wed, 26 Jun 2013 07:02:13 +0000


A bit of digging showed that line 108 should be:
archlinux = "http://www.archlinux.org/mirrorlist/?country={}&protocol=http&ip_version=4&use_mirror_status=on"

ie. no more protocol=ftp since those were deprecated in the last version of pacman.

Comment by: Ram-Z on Wed, 26 Jun 2013 06:44:54 +0000


Doesn't install anymore:

==> Starting build()...
gzip -c aur2ccr.8 > aur2ccr.8.gz
python2 getmirrors.py --quiet
>>INFO:  Determining your location...
Generating pacman configuration for ./archrepos.pacman.conf
>>INFO:  Determining the best mirror...
>>ERROR:  Something went wrong in getmirrors.py. Please report this error.
make: *** [all] Error 1
==> ERROR: A failure occurred in build().
    Aborting...
The build failed.